# initshutdownscript.update

Update initshutdown script task of id.

Type: object

##

Type: array
No Additional Items

#### Tuple Validation

##### Parameter 1: id

#### id

Type: integer

ID of the init/shutdown script to update.

##### Parameter 2: data

#### data

Type: object

Updated init/shutdown script configuration data.

No Additional Properties

##

#### Type

Type: enum (of string)

Type of init/shutdown script to execute.

- `COMMAND`: Execute a single command
- `SCRIPT`: Execute a script file

##### Must be one of:

- "COMMAND"
- "SCRIPT"

##

#### Command

Must be given if `type="COMMAND"`.

## Any of

Type: string
Type: null

##

#### Script

Must be given if `type="SCRIPT"`.

## Any of

Type: string
Type: null

##

#### When

Type: enum (of string)

- "PREINIT": Early in the boot process before all services have started.
- "POSTINIT": Late in the boot process when most services have started.
- "SHUTDOWN": On shutdown.

##### Must be one of:

- "PREINIT"
- "POSTINIT"
- "SHUTDOWN"

##

#### Enabled

Type: boolean

Whether the init/shutdown script is enabled to execute.

##

#### Timeout

Type: integer

An integer time in seconds that the system should wait for the execution of the script/command.

A hard limit for a timeout is configured by the base OS, so when a script/command is set to execute on SHUTDOWN, the hard limit configured by the base OS is changed adding the timeout specified by script/command so it can be ensured that it executes as desired and is not interrupted by the base OS's limit.

##

#### Comment

Type: string

Optional comment describing the purpose of this script.

Must be at most `255` characters long

##

#### InitShutdownScriptEntry

Type: object

The updated init/shutdown script configuration.

No Additional Properties

##

#### Type

Type: enum (of string)

Type of init/shutdown script to execute.

- `COMMAND`: Execute a single command
- `SCRIPT`: Execute a script file

##### Must be one of:

- "COMMAND"
- "SCRIPT"

##

#### Command

Default: ""

Must be given if `type="COMMAND"`.

## Any of

Type: string
Type: null

##

#### Script

Default: ""

Must be given if `type="SCRIPT"`.

## Any of

Type: string
Type: null

##

#### When

Type: enum (of string)

- "PREINIT": Early in the boot process before all services have started.
- "POSTINIT": Late in the boot process when most services have started.
- "SHUTDOWN": On shutdown.

##### Must be one of:

- "PREINIT"
- "POSTINIT"
- "SHUTDOWN"

##

#### Enabled

Type: boolean Default: true

Whether the init/shutdown script is enabled to execute.

##

#### Timeout

Type: integer Default: 10

An integer time in seconds that the system should wait for the execution of the script/command.

A hard limit for a timeout is configured by the base OS, so when a script/command is set to execute on SHUTDOWN, the hard limit configured by the base OS is changed adding the timeout specified by script/command so it can be ensured that it executes as desired and is not interrupted by the base OS's limit.

##

#### Comment

Type: string Default: ""

Optional comment describing the purpose of this script.

Must be at most `255` characters long

##

#### Id

Type: integer

Unique identifier for the init/shutdown script.

Required roles: SYSTEM_CRON_WRITE